'''
plot histogram of interval size
'''

import os,sys

inputfile = sys.argv[1]
outputfile = sys.argv[2]

rf = open('tmp.r','w')
rf.write("x <- read.table('"+inputfile+"')\n")
rf.write("len <- x[,3]-x[,2]\n")
rf.write("pdf('"+outputfile+"')\n")
rf.write("hist(len,breaks=100,xlab='interval size',main=paste('mean=',mean(len),sep=''))\n")
rf.write("dev.off()")
rf.close()
os.system("R --vanilla < tmp.r")    
os.system('rm tmp.r')
